package org.somda.reqif.ieee

import javax.xml.namespace.QName

enum class AttrType(val typeName: QName, val refName: QName) {
    ENUM(ReqIfQNames.ATTRIBUTE_VALUE_ENUMERATION, ReqIfQNames.ATTRIBUTE_DEFINITION_ENUMERATION_REF),
    INT(ReqIfQNames.ATTRIBUTE_VALUE_INTEGER, ReqIfQNames.ATTRIBUTE_DEFINITION_INTEGER_REF),
    STRING(ReqIfQNames.ATTRIBUTE_VALUE_STRING, ReqIfQNames.ATTRIBUTE_DEFINITION_STRING_REF),
    XHTML(ReqIfQNames.ATTRIBUTE_VALUE_XHTML, ReqIfQNames.ATTRIBUTE_DEFINITION_XHTML_REF)
}